#include <bits/stdc++.h>
#include <string>
using namespace std;

int main() {
    string s;
    int q, r, l, ans = 0;
    cin >> s;
    cin >> q;
    for(int i = 0; i < q; i++){
        cin >> l >> r;
        for( int j = l-1; j < r-1; j++){
            if (s[j] > s[j+1]){
                ans ++;
            }
        }
    
    cout << ans+1 << endl;
    ans = 0;
    }
}

